Bug 1836845 - "Generate at" in report template should be current date
Summary: "Generate at" in report template should be current date
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 6.8.0
Assignee: Ranjan Kumar
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-18 10:09 UTC by Ranjan Kumar
Modified: 2020-10-27 13:02 UTC (History)
7 users (show)

Fixed In Version: foreman-2.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:02:42 UTC
Target Upstream Version:


Attachments (Terms of Use)
Generated At date (79.61 KB, image/png)
2020-05-18 10:10 UTC, Ranjan Kumar
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28905 Normal Closed DatePicker: it should be possible to submit an empty date field 2020-10-28 17:39:55 UTC
Foreman Issue Tracker 29839 Normal Resolved Generate at date in report template should be current date 2020-10-28 17:40:10 UTC
Github theforeman foreman pull 7406 None closed Fixes #28905 - DatePicker: make it possible to submit an empty date field 2020-10-28 17:39:55 UTC
Red Hat Knowledge Base (Solution) 5296881 None None None 2020-08-05 07:51:24 UTC
Red Hat Product Errata RHSA-2020:4366 None None None 2020-10-27 13:02:55 UTC

Description Ranjan Kumar 2020-05-18 10:09:34 UTC
Description of problem: Generated at in Report template shows default date '1-1-1970 '


Version-Release number of selected component (if applicable): Satellite 6.7


How reproducible: Always


Steps to Reproduce:

Actual results:  Shows date 1 Jan 1970


Expected results: Should show selected date as Today's Date


Additional info: Screen Attached

Comment 1 Ranjan Kumar 2020-05-18 10:10:22 UTC
Created attachment 1689567 [details]
Generated At date

Comment 2 Ondřej Ezr 2020-06-04 11:09:48 UTC
This is fixed in Foreman 2.1, attaching related issue and PR.

Comment 3 Bryan Kearney 2020-06-04 12:05:11 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/29839 has been resolved.

Comment 4 Lukáš Hellebrandt 2020-06-25 09:56:33 UTC
Verified with Sat 6.8 snap 5.0.

Tried to generate a report in WebUI, date field is empty by default. When trying to enter a date through the calendar widget, the default is current date and time.

Comment 7 errata-xmlrpc 2020-10-27 13:02:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.